<?php
/* @var $this PrestamoController */
/* @var $model Prestamo */
/* @var $form CActiveForm */

?>

<div class="form">
  <?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'cliente-form',
        'htmlOptions'=>array('class'=>'form-horizontal'),
        'enableClientValidation' => true,
        'clientOptions'=>array(
        'validateOnSubmit'=>true,
  ),
      
)); ?>
    
	<div class="row">
            <div class="col-12">
                <p class="note">Los campos con <span class="required">*</span> son obligatorios.</p>
            </div> 
        </div>
    
    <?php echo $form->hiddenField($model,'id_gestor',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line text-uppercase', 'readonly'=>'true',
                               'placeholder'=>"")); ?>
    
    
    
         <div class="row justify-content-center">
                <div class="col-12 col-sm-12 col-md-6">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'id_cliente', array('class' => 'col-12')); ?>
                           <div class="col-12">
                  
                                <?php 
                               $this->widget('ext.select2.ESelect2',array(
                                 'model' => $model,
                                 'attribute' => 'id_cliente',  
                                 'data'=>  Cliente::lista(),
                                 'options'=>array(
                                   'allowClear'=>true,
                                   'placeholder'=>'SELECCIONE EL CLIENTE',
                                 ),
                               ));
                               ?> 
                           <?php echo $form->error($model,'id_cliente'); ?>
                          </div>
                        </div>
                </div>
            <div class="col-12 col-sm-12 col-md-5"></div>
          </div>  
            
    <div class="row">
               
                   <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'manual', array('class' => 'col-12 mdi mdi-mail mdi-18px text-uppercase')); ?>
                           <div class="col-12">
                           <?php echo $form->dropdownList($model,'manual', array('1'=>'ACTIVO'),  array('class'=>'form-control form-control-line text-uppercase',
                               'prompt' => 'INACTIVO')); ?> 
                               
                            <?php echo $form->error($model,'manual'); ?>
                          </div>
                        </div>
                   </div>
        
                    <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4
                            ">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'id_modalidad', array('class' => 'col-12 text-uppercase ')); ?>
                           <div class="col-12">
                           <?php echo $form->dropdownList($model,'id_modalidad', Modalidad::lista(),  array('class'=>'form-control form-control-line text-uppercase',
                               'prompt' => 'SELECCIONE')); ?> 
                           <?php echo $form->error($model,'id_modalidad'); ?>
                          </div>
                        </div>
                    </div>
        
        
        
        
                <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'fecha_inicio', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php
                            $this->widget('ext.YiiDateTimePicker.jqueryDateTime', array(
                                'model' => $model,
                                'attribute' => 'fecha_inicio',
                                'options' => array(
                                    'lang'=>'es',

                                    'timepicker'=>false,
                                    'format'=>'d-m-Y',
                                    ),
                                'htmlOptions' => array('class' => 'form-control form-control-line',
                                    'placeholder'=>"AAAA/MM/DD",
                                    'autocomplete'=>"off",
                                    ),
                            ));
                            ?>

                            <?php echo $form->error($model,'fecha_inicio'); ?>
                          </div>
                        </div>
                </div>
        
        
            <div class="col-12 col-sm-12 col-md-4" id="monto"    >
                        <div class="form-group" style='color:red;'>
                           <?php echo $form->labelEx($model,'id_monto', array('class' => 'col-12')); ?>
                           <div class="col-12">
                                  <?php echo $form->dropdownList($model,'id_monto', Monto::lista(),  
                                   array('class'=>'form-control',
                                       'autocomplete'=>"off",
                               'prompt' => 'SELECCIONE EL MONTO')); ?> 
                               
                            <?php echo $form->error($model,'id_monto'); ?>
                          </div>
                        </div>
                </div>
                       
           
             <div class="col-12 col-sm-12 col-md-4" id="monto2"  style="display: none">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'id_monto', array('class' => 'col-12')); ?>
                           <div class="col-12">
                            <?php echo $form->textField($model,'id_monto2',array('size'=>60,'maxlength'=>100,
                                   'class' => 'form-control form-control-line text-uppercase', 'autocomplete'=>"off",
                                   'placeholder'=>"")); ?>   
                               
                            <?php echo $form->error($model,'id_monto'); ?>
                          </div>
                        </div>
                </div>
        
        
                <div class="col-12 col-sm-12 col-md-4" id="tasa" style="display: none"  >
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'tasa', array('class' => 'col-12 text-uppercase ')); ?>
                           <div class="col-12">
                              <?php echo $form->textField($model,'tasa',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line' )); ?>
                            
                           <?php echo $form->error($model,'tasa'); ?>
                          </div>
                        </div>
                </div>
        
        
        
        
        
        
        
        
                <div class="col-12 col-sm-12 col-md-4" id="duracion"   >
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'id_duracion', array('class' => 'col-12 text-uppercase ')); ?>
                           <div class="col-12">
                           <?php echo $form->dropdownList($model,'id_duracion', Duracion::lista(),  array('class'=>'form-control form-control-line text-uppercase',
                               'prompt' => 'SELECCIONE')); ?> 
                           <?php echo $form->error($model,'id_duracion'); ?>
                          </div>
                        </div>
                  </div>
        
        
        
        
        
        
        
                <div class="col-12 col-sm-12 col-md-4" id="interes" style="display: none"  >
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'interes', array('class' => 'col-12 text-uppercase ')); ?>
                           <div class="col-12">
                              <?php echo $form->textField($model,'interes',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line' )); ?>
                            
                           <?php echo $form->error($model,'interes'); ?>
                          </div>
                        </div>
                </div>
        
               <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'cuota', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'cuota',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line' )); ?>
                           
                                   <?php echo $form->error($model,'cuota'); ?>
                          </div>
                        </div>
                </div>
        
           
                <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group">
                          <?php echo $form->labelEx($model,'dia_prestamo', array('class' => 'col-12 mdi mdi-mail mdi-18px')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'dia_prestamo',array('size'=>60,'maxlength'=>100,
                                   'class' => 'form-control form-control-line text-uppercase', 'readonly'=>'true','autocomplete'=>"off",
                                   'placeholder'=>"")); ?>
                            <?php echo $form->error($model,'dia_prestamo'); ?>
                          </div>
                        </div>
                </div>
            
            <div class="col-12 col-sm-12 col-md-4 ">
                    <div class="form-group">
                       <?php echo $form->labelEx($model,'hora_entrega', array('class' => 'col-12 text-uppercase')); ?>
                       <div class="col-12">
                        <?php echo $form->textField($model,'hora_entrega',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line text-uppercase', 
                               'placeholder'=>"",
                            
                             'autocomplete'=>"off"
                            )); ?>
                        <?php echo $form->error($model,'hora_entrega'); ?>
                      </div>
                    </div>
               </div>
            
            
                   <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'domingo', array('class' => 'col-12 mdi mdi-mail mdi-18px text-uppercase')); ?>
                           <div class="col-12">
                           <?php echo $form->dropdownList($model,'domingo', array('1'=>'ACTIVO'),  array('class'=>'form-control form-control-line text-uppercase',
                               'prompt' => 'INACTIVO')); ?> 
                               
                            <?php echo $form->error($model,'domingo'); ?>
                          </div>
                        </div>
                   </div>
            
            
            </div>
        
        <div class="row">     
                <div class="col-12 col-sm-12 ">
                        <div class="form-group">
                           <?php echo $form->labelEx($model,'observacion', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'observacion',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line text-uppercase','autocomplete' => 'off', )); ?>
                           <?php echo $form->error($model,'observacion'); ?>
                          </div>
                        </div>
        </div>
                
                
 
                
                
                <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group" style='color:red;'>
                           <?php echo $form->labelEx($model,'descuento_seguro', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'descuento_seguro',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line','autocomplete' => 'off' )); ?>
                           <?php echo $form->error($model,'descuento_seguro'); ?>
                          </div>
                        </div>
                </div>
                
                
                            <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group" style='color:red;'>
                           <?php echo $form->labelEx($model,'descuento_primera_cuota', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'descuento_primera_cuota',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line','autocomplete' => 'off' )); ?>
                           <?php echo $form->error($model,'descuento_primera_cuota'); ?>
                          </div>
                        </div>
                </div>
            
            <div class="col-12 col-sm-12 col-md-4">
                        <div class="form-group" style='color:red;'>
                           <?php echo $form->labelEx($model,'monto_entrega', array('class' => 'col-12')); ?>
                           <div class="col-12">
                           <?php echo $form->textField($model,'monto_entrega',array('size'=>60,'maxlength'=>100,
                               'class' => 'form-control form-control-line','autocomplete' => 'off' )); ?>
                           <?php echo $form->error($model,'monto_entrega'); ?>
                          </div>
                        </div>
                </div>
    
                
                
                
            
        </div>
    <div class="row justify-content-center">
        <div class="col-12 col-sm-12 col-md-10 text-center  " id="mensaje">
     
        </div>
    </div>
    
 <div class="row justify-content-center">
  <fieldset class="col-12 px-3">
    <legend>Lista de Cuotas:</legend>

    <div class="row justify-content-end">
            <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 mb-2">
                   <button type="button" class="btn btn-large btn-block btn-danger " id="calcular" >
                     <i class="fa fa-calculator fa-lg"></i>  CALCULAR</button>
            </div>
    </div>
     <div class="row">
               <div class="col-12">
                   <div class="table-responsive">
                    <table class="table table-bordered">
                      <thead>
                        <tr>
                          <th class="text-center">
                            Nº SEMANA
                          </th>
                          <th class="text-center"> 
                            FECHA
                          </th>
                          <th class="text-center">
                            DIA
                          </th>
                          <th class="text-center">
                            CUOTA
                          </th>
                          
                        </tr>
                      </thead>
                      <tbody id="tabla">
                      </tbody>
                    </table>
                  </div>
               </div>
           </div>
    
    
          <div class="row">
               <div class="col-12 text-center mt-3" id="vencimiento">
                   <h4 style="color: #dc3545"> FECHA DE VENCIMIENTO</h4>
               </div>
           </div>
    
    
  </fieldset>
</div>
        
      

    
      <div class="row justify-content-center" >
                <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 m-b-40 m-t-20">
                       <button type="submit" class="btn btn-large btn-block btn-primary  ">
                               <i class="fas fa-save fa-lg   "></i>    <?php echo $model->isNewRecord ? "REGISTRAR PRESTAMO" : "EDITAR"; ?></button>
                </div> 
            </div>
               
            <div class="row justify-content-center">
                <div class="col-12 col-sm-12 col-md-8 col-lg-8 col-xl-8">
                <?php echo $form->errorSummary($model); ?>
                </div>
            </div>
    
    
<?php $this->endWidget(); ?>
</div><!-- form -->




<script type="application/javascript">    

$('#Prestamo_id_monto').on('change',function(){

$('#Prestamo_cuota').val('');
var duracion=$("#Prestamo_id_duracion").val(); 
var valor=$(this).val();
var porcentaje= Math.floor(valor*5)/100;
$('#Prestamo_cuota').val(porcentaje);  

var monto =  $("#Prestamo_id_monto").val();

var seguros =  $("#Prestamo_descuento_seguro").val();
var primera_cuota =  $("#Prestamo_descuento_primera_cuota").val();

var m= parseInt(monto)-(parseInt(seguros)+parseInt(primera_cuota));
$("#Prestamo_monto_entrega").val(m);

});




$('#Prestamo_descuento_seguro').on('change',function(){
    var monto =  $("#Prestamo_id_monto").val();
    
    
    var seguros =  $("#Prestamo_descuento_seguro").val();
    var primera_cuota =  $("#Prestamo_descuento_primera_cuota").val();
    
    var m= parseInt(monto)-(parseInt(seguros)+parseInt(primera_cuota));
    $("#Prestamo_monto_entrega").val(m);
});



$('#Prestamo_descuento_primera_cuota').on('change',function(){
    var monto =  $("#Prestamo_id_monto").val();
    
    
    var seguros =  $("#Prestamo_descuento_seguro").val();
    var primera_cuota =  $("#Prestamo_descuento_primera_cuota").val();
    
    var m= parseInt(monto)-(parseInt(seguros)+parseInt(primera_cuota));
    $("#Prestamo_monto_entrega").val(m);
});

 
 
 
$('#Prestamo_fecha_inicio').datetimepicker({
 onChangeDateTime:function(date){
     
      $("#mensaje").hide();
      $('#Prestamo_dia_prestamo').val('');
      $('#Prestamo_fecha_inicio_em_').val('');
      $('#Prestamo_fecha_inicio_em_').hide();
      var domingo =  $("#Prestamo_domingo").val();
        
        
      $("#vencimiento").html('<h4 style="color: #dc3545"> FECHA DE VENCIMIENTO </h4>');
      
           var dm = $('#Prestamo_fecha_inicio').val();
           var f= dm.split("-");
           var fecha = new Date(f[2],f[1]-1,f[0]); 
           var numDia=fecha.getDay();
           var dia='';
  
            
            
            
           if(numDia==0){
               if(domingo == 0){  
               dia='DOMINGO (NO VALIDO)';
               $('#Prestamo_fecha_inicio').val('');
               $('#Prestamo_dia_prestamo').val('');
               $('#Prestamo_dia_prestamo_em_').val('No se permite seleccionar el dia domingo, por favor verifique');
               $('#Prestamo_dia_prestamo_em_').show();
               $("#tabla").html('');
               }else{
                   dia='DOMINGO';
               }
               
           }
           
           
            if(numDia==1){
                dia='LUNES';
            }
           if(numDia==2){
                dia='MARTES';
            }
            if(numDia==3){
                 dia='MIERCOLES';
           }
            if(numDia==4){
                dia='JUEVES';
             }
            if(numDia==5){
                dia='VIERNES';
            }
            if(numDia==6){
               dia='SABADO';
            }
          $('#Prestamo_dia_prestamo').val(dia);
 }
});

$('#Prestamo_id_monto').on('change',function(){

$('#Prestamo_cuota').val('');

var r=$('#Prestamo_id_monto').val();
var duracion=$("#Prestamo_id_duracion").val(); 

if(r==3400){
    $('#Prestamo_cuota').val(75.5);
    $('#Prestamo_id_duracion').val(72);

}else{
 
   var valor=$(this).val();
   var porcentaje= Math.floor(valor*5)/100;
   $('#Prestamo_cuota').val(porcentaje); 
   
}

});

$('#calcular').click(function(){
    $("#mensaje").html('');
    $("#mensaje").hide(); 
    $("#tabla").html('');
    var cuota=$("#Prestamo_cuota").val();
    var fecha=$("#Prestamo_fecha_inicio").val(); 
    
    
    var manual=$("#Prestamo_manual").val(); 

    if(manual=='1'){
        var duracion=$("#Prestamo_id_duracion2").val();
    }else{
        var duracion=$("#Prestamo_id_duracion").val();
    }




    var cuota = $("#Prestamo_cuota").val(); 
    var dia=$("#Prestamo_dia_prestamo").val();
    var dur=duracion;
    var inicial=fecha;
    var trHTML = '';
    var domingo =  $("#Prestamo_domingo").val();
    
    
    if(fecha.length<1){
        $("#mensaje").show();
        $("#mensaje").html('<div class="bg-danger p-2 text-white">SELECCIONE LA FECHA DE INICIO DEL CREDITO<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');   
    }else{
        if(cuota.length<1){
        $("#mensaje").show();
        $("#mensaje").html('<div class="bg-danger p-2 text-white">INGRESE UN CUOTA DE CREDITO VALIDO<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');   
        }else{
                    if(duracion.length<1){
                    $("#mensaje").show();
                    $("#mensaje").html('<div class="bg-danger p-2 text-white">SELECCIONE LA DURACION DEL CREDITO <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');   
                    }else{   
                        
                        for (  i = 0 ; i < dur; i++){   
                            
                            
                            
                            var laProximaSemana = sumaFecha(1,inicial);
                            
                            var f= laProximaSemana.split("-");
                            var fecha2 = new Date(f[2],f[1]-1,f[0]); 
                            var numDia=fecha2.getDay();
                          
                            if(numDia==0){
                                dia='DOMINGO';
                            }
                             if(numDia==1){
                                 dia='LUNES';
                             }
                            if(numDia==2){
                                 dia='MARTES';
                             }
                             if(numDia==3){
                                  dia='MIERCOLES';
                            }
                             if(numDia==4){
                                 dia='JUEVES';
                              }
                             if(numDia==5){
                                 dia='VIERNES';
                             }
                             if(numDia==6){
                                dia='SABADO';
                             }
                
                
                            if(domingo == 0){ 
                              if(numDia!=0){
                    
                                u=i+1;
                                if(u<10){
                                    u='0'+u;
                                }
                                trHTML +='<tr class="table-primary"><td class="text-center">DIA '+u+'</td><td class="text-center">'+laProximaSemana+'</td><td class="text-center">'+dia+'</td><td class="text-center">'+cuota+'</td> </tr>';
                                
                                }else{
                                    i=i-1;
                                 }
                            }else{
                                 u=i+1;
                                if(u<10){
                                    u='0'+u;
                                }
                                trHTML +='<tr class="table-primary"><td class="text-center">DIA '+u+'</td><td class="text-center">'+laProximaSemana+'</td><td class="text-center">'+dia+'</td><td class="text-center">'+cuota+'</td> </tr>';
                                
                                
                            }    
                            
                                
                                
                                var  inicial = laProximaSemana; 
                                
                        
            
            
                      
                         
                         
		        }
                        
                        $("#tabla").append(trHTML);
                        $("#vencimiento").html('<h4 style="color: #dc3545"> FECHA DE VENCIMIENTO '+inicial+' </h4>');
    }
}
}
}); 


function sumaFecha(d, fecha)
{
 var Fecha = new Date();
 var sFecha = fecha || (Fecha.getDate() + "/" + (Fecha.getMonth() +1) + "/" + Fecha.getFullYear());
 var sep = sFecha.indexOf('/') != -1 ? '/' : '-';
 var aFecha = sFecha.split(sep);
 var fecha = aFecha[2]+'/'+aFecha[1]+'/'+aFecha[0];
 fecha= new Date(fecha);
 fecha.setDate(fecha.getDate()+parseInt(d));
 var anno=fecha.getFullYear();
 var mes= fecha.getMonth()+1;
 var dia= fecha.getDate();
 mes = (mes < 10) ? ("0" + mes) : mes;
 dia = (dia < 10) ? ("0" + dia) : dia;
 var fechaFinal = dia+sep+mes+sep+anno;
 return (fechaFinal);
 }
 
</script>

<script type="text/javascript">
$(document).ready(function() {
   $('#Prestamo_monto').mask('999999999999999', {translation: { 'A':{pattern: /[1-9]/}}, clearIfNotMatch: true});
   $('#Prestamo_cuota').mask('999999999999999', {translation: { 'A':{pattern: /[1-9]/}}, clearIfNotMatch: true});
   $('#Prestamo_tasa').mask('999999999999999', {translation: { 'A':{pattern: /[1-9]/}}, clearIfNotMatch: true});
   $('#Prestamo_interes').mask('999999999999999', {translation: { 'A':{pattern: /[1-9]/}}, clearIfNotMatch: true});
   $('#Prestamo_hora_entrega').mask('00:00');

}); 
   
   
$('#Prestamo_manual').on('change',function(){

    var manual=$("#Prestamo_manual").val(); 
   //activo
    if(manual=='1'){
        
      $("#Prestamo_id_modalidad").val(2); 
        
      $('#monto2').show();
      $('#monto').hide();
      
      $('#tasa').show();
      $('#interes').show();
      $('#duracion2').show();
      $('#duracion').hide();
      
      
     
    }else{
        
      $("#Prestamo_id_modalidad").val(1);   
        
      $('#tasa').hide();  
        
      $('#interes').hide();
      
      $('#monto2').hide();
      $('#monto').show();
      
      $('#duracion2').hide();
      $('#duracion').show();
      
      
      
    }
        
});

   
   
</script>






